/**
 * Flamenco manager
 * Render Farm manager API
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The JobBlocklistEntry model module.
 * @module model/JobBlocklistEntry
 * @version 0.0.0
 */
class JobBlocklistEntry {
    /**
     * Constructs a new <code>JobBlocklistEntry</code>.
     * @alias module:model/JobBlocklistEntry
     * @param workerId {String} 
     * @param taskType {String} 
     */
    constructor(workerId, taskType) { 
        
        JobBlocklistEntry.initialize(this, workerId, taskType);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, workerId, taskType) { 
        obj['worker_id'] = workerId;
        obj['task_type'] = taskType;
    }

    /**
     * Constructs a <code>JobBlocklistEntry</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/JobBlocklistEntry} obj Optional instance to populate.
     * @return {module:model/JobBlocklistEntry} The populated <code>JobBlocklistEntry</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new JobBlocklistEntry();

            if (data.hasOwnProperty('worker_id')) {
                obj['worker_id'] = ApiClient.convertToType(data['worker_id'], 'String');
            }
            if (data.hasOwnProperty('task_type')) {
                obj['task_type'] = ApiClient.convertToType(data['task_type'], 'String');
            }
        }
        return obj;
    }


}

/**
 * @member {String} worker_id
 */
JobBlocklistEntry.prototype['worker_id'] = undefined;

/**
 * @member {String} task_type
 */
JobBlocklistEntry.prototype['task_type'] = undefined;






export default JobBlocklistEntry;

